from modcards.svg import generate_mod_card as gencard
from modcards.modrinth import get_mod


async def get_card(mod_url: str) -> str:
    mod = await get_mod(mod_url)
    mod_name = mod["name"]
    mod_desc = mod["description"]
    mod_icon = mod["icon"]
    svg = gencard(mod_name, mod_desc, mod_icon)
    return str(svg)
