from setuptools import setup

setup(
    name="MinecraftOpenAPI",
    version="0.4",
    url="https://git.orudo.ru/trueold89/mcapi",
    author="trueold89",
    author_email="trueold89@orudo.ru",
    description="Open FastAPI for getting information about Minecraft server",
    install_requires=[
        "fastapi",
        "uvicorn",
        "pydantic",
        "mcaio",
        "mcrcon",
        "redis",
        "fastapi-cache2[redis]",
        "svgwrite",
        "bs4",
        "aiohttp",
        "aioredis"
    ],
    packages=["mcapi", "modcards"],
    entry_points={"console_scripts": ["mcapi = mcapi.entrypoint:start_api"]},
)
